<?= $this->render('profile/profile-tabs.phtml');?>
<? $defines = Zend_Registry::get('defines') ; ?>
<form id="working-cities" action="" >
    <input type="hidden" name="action" value="<?= $this->action?>">
    <?php  if($this->escortId):?>
        <input type="hidden" name="escort" value="<?= $this->escortId ?>" />
    <?php endif;?>
    <div class="row">
        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-map-marker"></i> Working Locations
                </div>
                <div class="card-block">
                    <fieldset class="form-group">
                        <div class="form-group">
                            <? $data = $this->data; ?>
                            <label for="country"><?= __('pv2_label_country') ?></label>
                            <? $model = new Cubix_Geography_Countries() ?>
                            <select id="country" name="country_id" class="form-control">
                                <? foreach ($model->ajaxGetAll(false) as $country): ?>
                                    <option value="<?= $country->id ?>"<?= $this->data['country_id'] == $country->id ? ' selected="selected"' : '' ?>><?= $country->title ?></option>
                                <? endforeach ?>
                            </select>
                            <div id="country_id" class="text-danger"></div>
                        </div>
                        <div>
                            <label for="base_city">Base City</label>
                            <? $cModel = new Cubix_Geography_Cities() ?>

                            <select id="base_city"
                                    class="form-control select2-single select2-hidden-accessible city-area" name="city_id" data-placeholder=" - ">
                                <option></option>
                                <? if ( $data['country_id'] ): ?>
                                    <? foreach ($cModel->ajaxGetAll(null, $data['country_id']) as $city): ?>
                                        <option value="<?= $city->id ?>"<?= $data['city_id'] == $city->id ? ' selected="selected"' : '' ?>><?= $city->title ?></option>
                                    <? endforeach ?>
                                <? endif ?>
                            </select>
                            <p id="validation-country_id" class="text-danger m-0"></p>
                        </div>
                        <div class="pt-3">
                            <?php $citiesArray = Private_ProfileController::getModifiedArray('city_id',$this->data['cities']);?>
                            <label for="cities">Other Cities</label><br>
                            <span class="text-muted">Please note that you can not add more than 3 cities.</span>
                            <select id="cities"
                                    class="form-control select2-single select2-hidden-accessible city-area" data-placeholder="-" multiple="multiple" name="cities[]">

                                <option></option>
                                <? foreach ( $this->cities as $city ): ?>
                                    <?php $exists = false;?>
                                    <?php $exists = (in_array($city->id,$citiesArray) && $city->id != $data['city_id']) ? true : false;?>
                                    <option value="<?= $city->id ?>" <?= $city->id == $data['city_id']?'disabled ':''?><?= ($exists) ? ' selected ' : '' ?> ><?= $city->title ?></option>
                                <? endforeach; ?>
                            </select>
                        </div>
                    </fieldset>

                </div>
            </div>
        </div>

        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-phone"></i> Incall
                </div>
                <div class="card-body">
                    <div id="incall_section" >
                        <label class="custom-control custom-checkbox">
                            <input id="incall" type="checkbox" class="custom-control-input" name="incall" value="1"<?= $this->data['incall_type'] ? ' checked="checked"' : '' ?>>
                            <span class="custom-control-indicator"></span>
                            <span class="custom-control-description"><?= __('pv2_label_incall') ?></span>
                        </label>

                        <div class="clear"></div>
                        <dl class="options-vertical ml-4" id="incall_area">
                            <dt>
                                <label class="custom-control custom-radio">
                                    <input id="private-apartment" class="custom-control-input" type="radio"  name="incall_type" value="<?= AVAILABILITY_INCALL_PRIVATE_APARTMENT ?>" <?= $this->data['incall_type'] == AVAILABILITY_INCALL_PRIVATE_APARTMENT ? ' checked="checked"' : '' ?>/>
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= __('pv2_label_private_apartment') ?></span>
                                </label>
                            </dt>
                            <dt>
                                <label class="custom-control custom-radio">
                                    <input id="hotel-room" class="custom-control-input" type="radio"  name="incall_type" value="<?= AVAILABILITY_INCALL_HOTEL_ROOM ?>" <?= $this->data['incall_type'] == AVAILABILITY_INCALL_HOTEL_ROOM ? ' checked="checked"' : '' ?>/>
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= __('pv2_label_hotel_room') ?></span>
                                </label>
                            </dt>
                            <dl class="options-vertical ml-4">
                                <dt>
                                    <label class="custom-control custom-radio">
                                        <input id="five-star" class="custom-control-input" type="radio"  name="incall_hotel_room" value="5" <?= $this->data['incall_hotel_room'] == 5 ? ' checked="checked"' : '' ?>  />
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">
                                            <i class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow"
                                                    aria-hidden="true"></i>
                                        </span>
                                    </label>
                                </dt>
                                <dt>
                                    <label class="custom-control custom-radio">
                                        <input id="five-star" class="custom-control-input" type="radio"  name="incall_hotel_room" value="4" <?= $this->data['incall_hotel_room'] == 4 ? ' checked="checked"' : '' ?>  />
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">
                                            <i class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow" aria-hidden="true"></i>
                                        </span>
                                    </label>
                                </dt>
                                <dt>
                                    <label class="custom-control custom-radio">
                                        <input id="five-star" class="custom-control-input" type="radio"  name="incall_hotel_room" value="3" <?= $this->data['incall_hotel_room'] == 3 ? ' checked="checked"' : '' ?>  />
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">
                                            <i class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow" aria-hidden="true"></i><i
                                                    class="fa fa-star dark-yellow" aria-hidden="true"></i>
                                        </span>
                                    </label>
                                </dt>
                                <dt>
                                    <label class="custom-control custom-radio">
                                        <input id="five-star" class="custom-control-input" type="radio"  name="incall_hotel_room" value="2" <?= $this->data['incall_hotel_room'] == 2 ? ' checked="checked"' : '' ?>  />
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">
                                            <i class="fa fa-star dark-yellow" aria-hidden="true"></i>
                                            <i class="fa fa-star dark-yellow" aria-hidden="true"></i>
                                        </span>
                                    </label>
                                </dt>
                                <dt>
                                    <label class="custom-control custom-radio">
                                        <input id="five-star" class="custom-control-input" type="radio"  name="incall_hotel_room" value="1" <?= $this->data['incall_hotel_room'] == 1 ? ' checked="checked"' : '' ?>  />
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">
                                            <i class="fa fa-star dark-yellow" aria-hidden="true"></i>
                                        </span>
                                    </label>
                                </dt>
                            </dl>
                            <dt>
                                <label class="custom-control custom-radio">
                                    <input id="club-studio" class="custom-control-input" type="radio"  name="incall_type" value="<?= AVAILABILITY_INCALL_CLUB_STUDIO?>" <?= $this->data['incall_type'] == AVAILABILITY_INCALL_CLUB_STUDIO ? ' checked="checked"' : '' ?> />
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= __('pv2_label_club_studio')?></span>
                                </label>
                            </dt>
                            <dt>
                                <label class="custom-control custom-radio">
                                    <input id="incall-other" class="custom-control-input" type="radio"  name="incall_type" value="<?= AVAILABILITY_INCALL_OTHER?>" <?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?> />
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= __('pv2_label_outcall_other')?></span>
                                </label>

                            <div>
                                <input type="text" class="form-control <?= $this->data['incall_type'] == AVAILABILITY_INCALL_OTHER ? '' : ' disabled' ?>" name="incall_other" value="<?= $this->data['incall_other'] ?>" />
                            </div>
                            </dt>
                        </dl>
                    </div>

                    <p id="validation-zip" class="text-danger m-0"></p>

                </div>

            </div>
        </div>

        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-volume-control-phone"></i> Outcall
                </div>
                <div class="card-body">
                    <div id="outcall_section">
                        <label class="custom-control custom-checkbox">
                            <input id="outcall" type="checkbox" class="custom-control-input" name="outcall" value="1"<?= $this->data['outcall_type'] ? ' checked="checked"' : '' ?>>
                            <span class="custom-control-indicator"></span>
                            <span class="custom-control-description"><?= __('pv2_label_outcall') ?></span>
                        </label>
                        <div class="clear"></div>
                        <dl class="options-vertical ml-4" id="outcall_area">
                            <dt>
                                <label class="custom-control custom-radio">
                                    <input id="hotel-visits" class="custom-control-input" type="radio"  name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOTEL_VISITS?>" <?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_VISITS ? ' checked="checked"' : '' ?>  />
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= __('pv2_label_hotel_visits_only')?></span>
                                </label>
                            </dt>
                            <dt>
                                <label class="custom-control custom-radio">
                                    <input id="home-visits" class="custom-control-input" type="radio"  name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOME_VISITS?>" <?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOME_VISITS ? ' checked="checked"' : '' ?> />
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= __('pv2_label_home_visits_only')?></span>
                                </label>
                            </dt>
                            <dt>
                                <label class="custom-control custom-radio">
                                    <input id="home-visits" class="custom-control-input" type="radio"  name="outcall_type" value="<?= AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS?>" <?= $this->data['outcall_type'] == AVAILABILITY_OUTCALL_HOTEL_HOME_VISITS ? ' checked="checked"' : '' ?>  />
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= __('pv2_label_hotel_and_home_visits')?></span>
                                </label>

                            </dt>
                            <dt>
                                <label class="custom-control custom-radio">
                                    <input id="outcall-other" class="custom-control-input" type="radio"  name="outcall_type" value="<?= AVAILABILITY_INCALL_OTHER?>" <?= $this->data['outcall_type'] == AVAILABILITY_INCALL_OTHER ? ' checked="checked"' : '' ?>  />
                                    <span class="custom-control-indicator"></span>
                                    <span class="custom-control-description"><?= __('pv2_label_outcall_other')?></span>
                                </label>

                            <div>
                                <input type="text"
                                       class="form-control"
                                       name="outcall_other" value="<?= $this->data['outcall_other'] ?>"/>
                            </div>
                            </dt>
                        </dl>
                    </div>
                </div>

            </div>
        </div>

        <div class="col-md-12 d-flex">
            <button type="submit" class="btn m-auto btn-outline-success btn-lg active fixed-button">Save</button>
        </div>
    </div>
</form>
<script>
    $('select#country,select#city').select2({
        theme: 'bootstrap'
    });

    $("#country").change(function () {
        var self = $(this);
        var country_id = $(this).val();

        $.ajax({
            url: '/geography/ajax-get-cities',
            type: 'POST',
            data: {country_id: country_id},
            dataType: 'json',
            beforeSend: function () {
                self.closest('.card-body').LoadingOverlay("show", true);
            },
            success: function (data) {

                var city_area = $('.city-area');

                city_area.find('option').remove();

                $.each(data['data'], function (key, city) {
                    $('<option/>', {value: city.id, html: city.title}).appendTo(city_area);
                });

                self.closest('.card-body').LoadingOverlay("hide", true);
            }
        });
    });

    $(document).ready(function () {
        if (!$('.city-area').val())
        {
            var self = $("#country");
            var country_id = $("#country").val();

            $.ajax({
                url: '/geography/ajax-get-cities',
                type: 'POST',
                data: {country_id: country_id},
                dataType: 'json',
                beforeSend: function () {
                    self.closest('.card-body').LoadingOverlay("show", true);
                },
                success: function (data) {

                    var city_area = $('.city-area');

                    city_area.find('option').remove();

                    $.each(data['data'], function (key, city) {
                        $('<option/>', {value: city.id, html: city.title}).appendTo(city_area);
                    });

                    self.closest('.card-body').LoadingOverlay("hide", true);
                }
            });
        }
    })
</script>